EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • POST
                Create a episode exclusion request
              • GET
                List quality findings for a dataset version
              • GET
                List quality gate for a dataset version
              • GET
                List quality baselines for a project
              • GET
                List series for a quality baseline
              • POST
                Create a quality reinspection request
              • GET
                List quality rule set for a project
              • PUT
                Update a quality rule set
              • GET
                List health for a quality
              • GET
                List failing or warning quality checks for a project
              • GET
                List summary for a quality
              • GET
                List quality rule catalog
              • POST
                Create a preview request
              • GET
                List repair tasks
              • POST
                Create a repair task
              • GET
                Get a repair task
              • PATCH
                Update a repair task
              • GET
                List review tasks
              • GET
                Get a review task
              • PATCH
                Update a review task
              • POST
                Create a decision request
              • GET
                List quality policy for a current
              • PUT
                Update a quality policy
            • Search
              • Workflows
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Quality and tasks
                              4. List series for a quality baseline

                              List series for a quality baseline

                              GET
                              /v1/projects/{projectId}/quality-baselines/{checkId}/series
                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/quality-baselines/{checkId}/series' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • projectIdstringrequired
                              • checkIdstringrequired

                              Query parameters

                              • windowFromstring
                              • windowTostring
                              • datasetIdstring
                              • robotTypestring

                              Responses

                              Window-bounded rejection-rate series, baseline band, and current verdict.

                              • dataobjectrequired
                                • checkIdstringrequired
                                • windowFromstringrequired
                                • windowTostringrequired
                                • baselineobjectrequired
                                • pointsarray<QualityBaselineSeriesPointDto>required
                              Response example
                              {
                                "data": {
                                  "checkId": "string",
                                  "windowFrom": "string",
                                  "windowTo": "string",
                                  "baseline": {
                                    "checkId": "string",
                                    "bindingIdentity": "string",
                                    "sampleCount": 0,
                                    "status": "string",
                                    "reason": "string",
                                    "median": 0,
                                    "mad": 0,
                                    "currentRate": 0,
                                    "verdict": "string",
                                    "direction": "none"
                                  },
                                  "points": [
                                    {
                                      "observedAt": "string",
                                      "value": 0,
                                      "origin": "string",
                                      "datasetId": "string",
                                      "uploadBatchId": "string",
                                      "robotType": "string"
                                    }
                                  ]
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              GET /projects/{projectId}/quality-baselines

                              Next

                              POST /projects/{projectId}/quality-reinspection-requests

                              curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/quality-baselines/{checkId}/series' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "checkId": "string",
                                  "windowFrom": "string",
                                  "windowTo": "string",
                                  "baseline": {
                                    "checkId": "string",
                                    "bindingIdentity": "string",
                                    "sampleCount": 0,
                                    "status": "string",
                                    "reason": "string",
                                    "median": 0,
                                    "mad": 0,
                                    "currentRate": 0,
                                    "verdict": "string",
                                    "direction": "none"
                                  },
                                  "points": [
                                    {
                                      "observedAt": "string",
                                      "value": 0,
                                      "origin": "string",
                                      "datasetId": "string",
                                      "uploadBatchId": "string",
                                      "robotType": "string"
                                    }
                                  ]
                                }
                              }